using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace WindowsApplication7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
        }

        private void button1_Click(object sender, EventArgs e)
        {
            CustomRibbonTab tab = this.ultraToolbarsManager1.Ribbon.Tabs["CustomTab"] as CustomRibbonTab;
            tab.Enabled = !tab.Enabled;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CustomRibbonTab crt = new CustomRibbonTab("CustomTab");
            RibbonGroup group = crt.Groups.Add("New Group");
            this.ultraToolbarsManager1.Ribbon.Tabs.Add(crt);
            PopupControlContainerTool pcct = new PopupControlContainerTool("PPCT");
            pcct.SharedProps.Caption = "TextBox";
            pcct.SharedProps.Enabled = false;
            pcct.Control = this.textBox1;
            ultraToolbarsManager1.Tools.Add(pcct);
            group.Tools.AddTool("PPCT");

        }
    }

    public class CustomRibbonTab : Infragistics.Win.UltraWinToolbars.RibbonTab
    {

        #region Constructor

        public CustomRibbonTab(string key)
            : base(key)
        {
        }

        #endregion Constructor

        private bool enabled = false;
        public bool Enabled
        {
            get { return this.enabled; }
            set
            {
                if (this.enabled != value)
                    OnEnabledChanged(value);
            }
        }

        private void OnEnabledChanged(bool newValue)
        {
            this.enabled = newValue;

            foreach (RibbonGroup group in base.Groups)
            {
                foreach (ToolBase tool in group.Tools)
                {
                    tool.SharedProps.Enabled = newValue;
                }
            }
        }
    }
}